/**
   Select a tab and deselects the others.
      @param   labelsName
                  The name of the element(s) that hold the tab definition(s).
                  It is expected to be an array of <span> elements.
      @param   bodiesName
                  The name of the element(s) that hold the tab body definition(s).
                  It is expected to be an array of <div> elements.
      @param   index
                  O (zero) based index of the tab element to be selected.
      @param   nextElement
                  The <input> element of a <form> to get the focus upon tab selection.
      @param   labelsClassOnSelected
      @param   labelsClassOnDeselected
      @param   bodiesClassOnSelected
      @param   bodiesClassOnDeselected
      @return  No return value.
 */
function tabSelectionByStyle  ( labelsName
                              , bodiesName
                              , index
                              , nextElement
                              , labelsClassOnSelected
                              , labelsClassOnDeselected
                              , bodiesClassOnSelected
                              , bodiesClassOnDeselected
                              )
{
   var xTabLabels    = getElementsByName("span", labelsName);
   var xTabBodies    = getElementsByName("div" , bodiesName);

   for(xIdx = 0; xIdx < xTabBodies.length; xIdx++)
      if (xIdx == index)
         {
         xTabLabels[xIdx].className = labelsClassOnSelected;
         xTabBodies[xIdx].className = bodiesClassOnSelected;
         }
      else
         {
         xTabLabels[xIdx].className = labelsClassOnDeselected;
         xTabBodies[xIdx].className = bodiesClassOnDeselected;
         }

   if (nextElement)
      nextElement.focus();
}

